---
02_01__preliminaries__tabs__001: "\tfoo\tbaz\t\tbim\n"
02_01__preliminaries__tabs__002: "  \tfoo\tbaz\t\tbim\n"
02_01__preliminaries__tabs__003: "    a\ta\n    ὐ\ta\n"
02_01__preliminaries__tabs__004: "  - foo\n\n\tbar\n"
02_01__preliminaries__tabs__005: "- foo\n\n\t\tbar\n"
02_01__preliminaries__tabs__006: ">\t\tfoo\n"
02_01__preliminaries__tabs__007: "-\t\tfoo\n"
02_01__preliminaries__tabs__008: "    foo\n\tbar\n"
02_01__preliminaries__tabs__009: " - foo\n   - bar\n\t - baz\n"
02_01__preliminaries__tabs__010: "#\tFoo\n"
02_01__preliminaries__tabs__011: "*\t*\t*\t\n"
03_01__blocks_and_inlines__precedence__001: |
  - `one
  - two`
04_01__leaf_blocks__thematic_breaks__001: |
  ***
  ---
  ___
04_01__leaf_blocks__thematic_breaks__002: |
  +++
04_01__leaf_blocks__thematic_breaks__003: |
  ===
04_01__leaf_blocks__thematic_breaks__004: |
  --
  **
  __
04_01__leaf_blocks__thematic_breaks__005: |2
   ***
    ***
     ***
04_01__leaf_blocks__thematic_breaks__006: |2
      ***
04_01__leaf_blocks__thematic_breaks__007: |
  Foo
      ***
04_01__leaf_blocks__thematic_breaks__008: |
  _____________________________________
04_01__leaf_blocks__thematic_breaks__009: |2
   - - -
04_01__leaf_blocks__thematic_breaks__010: |2
   **  * ** * ** * **
04_01__leaf_blocks__thematic_breaks__011: |
  -     -      -      -
04_01__leaf_blocks__thematic_breaks__012: "- - - -    \n"
04_01__leaf_blocks__thematic_breaks__013: |
  _ _ _ _ a

  a------

  ---a---
04_01__leaf_blocks__thematic_breaks__014: |2
   *-*
04_01__leaf_blocks__thematic_breaks__015: |
  - foo
  ***
  - bar
04_01__leaf_blocks__thematic_breaks__016: |
  Foo
  ***
  bar
04_01__leaf_blocks__thematic_breaks__017: |
  Foo
  ---
  bar
04_01__leaf_blocks__thematic_breaks__018: |
  * Foo
  * * *
  * Bar
04_01__leaf_blocks__thematic_breaks__019: |
  - Foo
  - * * *
04_02__leaf_blocks__atx_headings__001: |
  # foo
  ## foo
  ### foo
  #### foo
  ##### foo
  ###### foo
04_02__leaf_blocks__atx_headings__002: |
  ####### foo
04_02__leaf_blocks__atx_headings__003: |
  #5 bolt

  #hashtag
04_02__leaf_blocks__atx_headings__004: |
  \## foo
04_02__leaf_blocks__atx_headings__005: |
  # foo *bar* \*baz\*
04_02__leaf_blocks__atx_headings__006: "#                  foo                     \n"
04_02__leaf_blocks__atx_headings__007: |2
   ### foo
    ## foo
     # foo
04_02__leaf_blocks__atx_headings__008: |2
      # foo
04_02__leaf_blocks__atx_headings__009: |
  foo
      # bar
04_02__leaf_blocks__atx_headings__010: |
  ## foo ##
    ###   bar    ###
04_02__leaf_blocks__atx_headings__011: |
  # foo ##################################
  ##### foo ##
04_02__leaf_blocks__atx_headings__012: "### foo ###     \n"
04_02__leaf_blocks__atx_headings__013: |
  ### foo ### b
04_02__leaf_blocks__atx_headings__014: |
  # foo#
04_02__leaf_blocks__atx_headings__015: |
  ### foo \###
  ## foo #\##
  # foo \#
04_02__leaf_blocks__atx_headings__016: |
  ****
  ## foo
  ****
04_02__leaf_blocks__atx_headings__017: |
  Foo bar
  # baz
  Bar foo
04_02__leaf_blocks__atx_headings__018: "## \n#\n### ###\n"
04_03__leaf_blocks__setext_headings__001: |
  Foo *bar*
  =========

  Foo *bar*
  ---------
04_03__leaf_blocks__setext_headings__002: |
  Foo *bar
  baz*
  ====
04_03__leaf_blocks__setext_headings__003: "  Foo *bar\nbaz*\t\n====\n"
04_03__leaf_blocks__setext_headings__004: |
  Foo
  -------------------------

  Foo
  =
04_03__leaf_blocks__setext_headings__005: |2
     Foo
  ---

    Foo
  -----

    Foo
    ===
04_03__leaf_blocks__setext_headings__006: |2
      Foo
      ---

      Foo
  ---
04_03__leaf_blocks__setext_headings__007: "Foo\n   ----      \n"
04_03__leaf_blocks__setext_headings__008: |
  Foo
      ---
04_03__leaf_blocks__setext_headings__009: |
  Foo
  = =

  Foo
  --- -
04_03__leaf_blocks__setext_headings__010: "Foo  \n-----\n"
04_03__leaf_blocks__setext_headings__011: |
  Foo\
  ----
04_03__leaf_blocks__setext_headings__012: |
  `Foo
  ----
  `

  <a title="a lot
  ---
  of dashes"/>
04_03__leaf_blocks__setext_headings__013: |
  > Foo
  ---
04_03__leaf_blocks__setext_headings__014: |
  > foo
  bar
  ===
04_03__leaf_blocks__setext_headings__015: |
  - Foo
  ---
04_03__leaf_blocks__setext_headings__016: |
  Foo
  Bar
  ---
04_03__leaf_blocks__setext_headings__017: |
  ---
  Foo
  ---
  Bar
  ---
  Baz
04_03__leaf_blocks__setext_headings__018: |2

  ====
04_03__leaf_blocks__setext_headings__019: |
  ---
  ---
04_03__leaf_blocks__setext_headings__020: |
  - foo
  -----
04_03__leaf_blocks__setext_headings__021: |2
      foo
  ---
04_03__leaf_blocks__setext_headings__022: |
  > foo
  -----
04_03__leaf_blocks__setext_headings__023: |
  \> foo
  ------
04_03__leaf_blocks__setext_headings__024: |
  Foo

  bar
  ---
  baz
04_03__leaf_blocks__setext_headings__025: |
  Foo
  bar

  ---

  baz
04_03__leaf_blocks__setext_headings__026: |
  Foo
  bar
  * * *
  baz
04_03__leaf_blocks__setext_headings__027: |
  Foo
  bar
  \---
  baz
04_04__leaf_blocks__indented_code_blocks__001: |2
      a simple
        indented code block
04_04__leaf_blocks__indented_code_blocks__002: |2
    - foo

      bar
04_04__leaf_blocks__indented_code_blocks__003: |
  1.  foo

      - bar
04_04__leaf_blocks__indented_code_blocks__004: |2
      <a/>
      *hi*

      - one
04_04__leaf_blocks__indented_code_blocks__005: "    chunk1\n\n    chunk2\n  \n \n
  \n    chunk3\n"
04_04__leaf_blocks__indented_code_blocks__006: "    chunk1\n      \n      chunk2\n"
04_04__leaf_blocks__indented_code_blocks__007: |+
  Foo
      bar

04_04__leaf_blocks__indented_code_blocks__008: |2
      foo
  bar
04_04__leaf_blocks__indented_code_blocks__009: |
  # Heading
      foo
  Heading
  ------
      foo
  ----
04_04__leaf_blocks__indented_code_blocks__010: |2
          foo
      bar
04_04__leaf_blocks__indented_code_blocks__011: "\n    \n    foo\n    \n\n"
04_04__leaf_blocks__indented_code_blocks__012: "    foo  \n"
04_05__leaf_blocks__fenced_code_blocks__001: |
  ```
  <
   >
  ```
04_05__leaf_blocks__fenced_code_blocks__002: |
  ~~~
  <
   >
  ~~~
04_05__leaf_blocks__fenced_code_blocks__003: |
  ``
  foo
  ``
04_05__leaf_blocks__fenced_code_blocks__004: |
  ```
  aaa
  ~~~
  ```
04_05__leaf_blocks__fenced_code_blocks__005: |
  ~~~
  aaa
  ```
  ~~~
04_05__leaf_blocks__fenced_code_blocks__006: |
  ````
  aaa
  ```
  ``````
04_05__leaf_blocks__fenced_code_blocks__007: |
  ~~~~
  aaa
  ~~~
  ~~~~
04_05__leaf_blocks__fenced_code_blocks__008: |
  ```
04_05__leaf_blocks__fenced_code_blocks__009: |
  `````

  ```
  aaa
04_05__leaf_blocks__fenced_code_blocks__010: |
  > ```
  > aaa

  bbb
04_05__leaf_blocks__fenced_code_blocks__011: "```\n\n  \n```\n"
04_05__leaf_blocks__fenced_code_blocks__012: |
  ```
  ```
04_05__leaf_blocks__fenced_code_blocks__013: |2
   ```
   aaa
  aaa
  ```
04_05__leaf_blocks__fenced_code_blocks__014: |2
    ```
  aaa
    aaa
  aaa
    ```
04_05__leaf_blocks__fenced_code_blocks__015: |2
     ```
     aaa
      aaa
    aaa
     ```
04_05__leaf_blocks__fenced_code_blocks__016: |2
      ```
      aaa
      ```
04_05__leaf_blocks__fenced_code_blocks__017: |
  ```
  aaa
    ```
04_05__leaf_blocks__fenced_code_blocks__018: |2
     ```
  aaa
    ```
04_05__leaf_blocks__fenced_code_blocks__019: |
  ```
  aaa
      ```
04_05__leaf_blocks__fenced_code_blocks__020: |
  ``` ```
  aaa
04_05__leaf_blocks__fenced_code_blocks__021: |
  ~~~~~~
  aaa
  ~~~ ~~
04_05__leaf_blocks__fenced_code_blocks__022: |
  foo
  ```
  bar
  ```
  baz
04_05__leaf_blocks__fenced_code_blocks__023: |
  foo
  ---
  ~~~
  bar
  ~~~
  # baz
04_05__leaf_blocks__fenced_code_blocks__024: |
  ```ruby
  def foo(x)
    return 3
  end
  ```
04_05__leaf_blocks__fenced_code_blocks__025: |
  ~~~~    ruby startline=3 $%@#$
  def foo(x)
    return 3
  end
  ~~~~~~~
04_05__leaf_blocks__fenced_code_blocks__026: |
  ````;
  ````
04_05__leaf_blocks__fenced_code_blocks__027: |
  ``` aa ```
  foo
04_05__leaf_blocks__fenced_code_blocks__028: |
  ~~~ aa ``` ~~~
  foo
  ~~~
04_05__leaf_blocks__fenced_code_blocks__029: |
  ```
  ``` aaa
  ```
04_06__leaf_blocks__html_blocks__001: |
  <table><tr><td>
  <pre>
  **Hello**,

  _world_.
  </pre>
  </td></tr></table>
04_06__leaf_blocks__html_blocks__002: |
  <table>
    <tr>
      <td>
             hi
      </td>
    </tr>
  </table>

  okay.
04_06__leaf_blocks__html_blocks__003: |2
   <div>
    *hello*
           <foo><a>
04_06__leaf_blocks__html_blocks__004: |
  </div>
  *foo*
04_06__leaf_blocks__html_blocks__005: |
  <DIV CLASS="foo">

  *Markdown*

  </DIV>
04_06__leaf_blocks__html_blocks__006: |
  <div id="foo"
    class="bar">
  </div>
04_06__leaf_blocks__html_blocks__007: |
  <div id="foo" class="bar
    baz">
  </div>
04_06__leaf_blocks__html_blocks__008: |
  <div>
  *foo*

  *bar*
04_06__leaf_blocks__html_blocks__009: |
  <div id="foo"
  *hi*
04_06__leaf_blocks__html_blocks__010: |
  <div class
  foo
04_06__leaf_blocks__html_blocks__011: |
  <div *???-&&&-<---
  *foo*
04_06__leaf_blocks__html_blocks__012: |
  <div><a href="bar">*foo*</a></div>
04_06__leaf_blocks__html_blocks__013: |
  <table><tr><td>
  foo
  </td></tr></table>
04_06__leaf_blocks__html_blocks__014: |
  <div></div>
  ``` c
  int x = 33;
  ```
04_06__leaf_blocks__html_blocks__015: |
  <a href="foo">
  *bar*
  </a>
04_06__leaf_blocks__html_blocks__016: |
  <Warning>
  *bar*
  </Warning>
04_06__leaf_blocks__html_blocks__017: |
  <i class="foo">
  *bar*
  </i>
04_06__leaf_blocks__html_blocks__018: |
  </ins>
  *bar*
04_06__leaf_blocks__html_blocks__019: |
  <del>
  *foo*
  </del>
04_06__leaf_blocks__html_blocks__020: |
  <del>

  *foo*

  </del>
04_06__leaf_blocks__html_blocks__021: |
  <del>*foo*</del>
04_06__leaf_blocks__html_blocks__022: |
  <pre language="haskell"><code>
  import Text.HTML.TagSoup

  main :: IO ()
  main = print $ parseTags tags
  </code></pre>
  okay
04_06__leaf_blocks__html_blocks__023: |
  <script type="text/javascript">
  // JavaScript example

  document.getElementById("demo").innerHTML = "Hello JavaScript!";
  </script>
  okay
04_06__leaf_blocks__html_blocks__024: |
  <style
    type="text/css">
  h1 {color:red;}

  p {color:blue;}
  </style>
  okay
04_06__leaf_blocks__html_blocks__025: |
  <style
    type="text/css">

  foo
04_06__leaf_blocks__html_blocks__026: |
  > <div>
  > foo

  bar
04_06__leaf_blocks__html_blocks__027: |
  - <div>
  - foo
04_06__leaf_blocks__html_blocks__028: |
  <style>p{color:red;}</style>
  *foo*
04_06__leaf_blocks__html_blocks__029: |
  <!-- foo -->*bar*
  *baz*
04_06__leaf_blocks__html_blocks__030: |
  <script>
  foo
  </script>1. *bar*
04_06__leaf_blocks__html_blocks__031: |
  <!-- Foo

  bar
     baz -->
  okay
04_06__leaf_blocks__html_blocks__032: |
  <?php

    echo '>';

  ?>
  okay
04_06__leaf_blocks__html_blocks__033: |
  <!DOCTYPE html>
04_06__leaf_blocks__html_blocks__034: |
  <![CDATA[
  function matchwo(a,b)
  {
    if (a < b && a < 0) then {
      return 1;

    } else {

      return 0;
    }
  }
  ]]>
  okay
04_06__leaf_blocks__html_blocks__035: |2
    <!-- foo -->

      <!-- foo -->
04_06__leaf_blocks__html_blocks__036: |2
    <div>

      <div>
04_06__leaf_blocks__html_blocks__037: |
  Foo
  <div>
  bar
  </div>
04_06__leaf_blocks__html_blocks__038: |
  <div>
  bar
  </div>
  *foo*
04_06__leaf_blocks__html_blocks__039: |
  Foo
  <a href="bar">
  baz
04_06__leaf_blocks__html_blocks__040: |
  <div>

  *Emphasized* text.

  </div>
04_06__leaf_blocks__html_blocks__041: |
  <div>
  *Emphasized* text.
  </div>
04_06__leaf_blocks__html_blocks__042: |
  <table>

  <tr>

  <td>
  Hi
  </td>

  </tr>

  </table>
04_06__leaf_blocks__html_blocks__043: |
  <table>

    <tr>

      <td>
        Hi
      </td>

    </tr>

  </table>
04_07__leaf_blocks__link_reference_definitions__001: |
  [foo]: /url "title"

  [foo]
04_07__leaf_blocks__link_reference_definitions__002: "   [foo]: \n      /url  \n           'the
  title'  \n\n[foo]\n"
04_07__leaf_blocks__link_reference_definitions__003: |
  [Foo*bar\]]:my_(url) 'title (with parens)'

  [Foo*bar\]]
04_07__leaf_blocks__link_reference_definitions__004: |
  [Foo bar]:
  <my url>
  'title'

  [Foo bar]
04_07__leaf_blocks__link_reference_definitions__005: |
  [foo]: /url '
  title
  line1
  line2
  '

  [foo]
04_07__leaf_blocks__link_reference_definitions__006: |
  [foo]: /url 'title

  with blank line'

  [foo]
04_07__leaf_blocks__link_reference_definitions__007: |
  [foo]:
  /url

  [foo]
04_07__leaf_blocks__link_reference_definitions__008: |
  [foo]:

  [foo]
04_07__leaf_blocks__link_reference_definitions__009: |
  [foo]: <>

  [foo]
04_07__leaf_blocks__link_reference_definitions__010: |
  [foo]: <bar>(baz)

  [foo]
04_07__leaf_blocks__link_reference_definitions__011: |
  [foo]: /url\bar\*baz "foo\"bar\baz"

  [foo]
04_07__leaf_blocks__link_reference_definitions__012: |
  [foo]

  [foo]: url
04_07__leaf_blocks__link_reference_definitions__013: |
  [foo]

  [foo]: first
  [foo]: second
04_07__leaf_blocks__link_reference_definitions__014: |
  [FOO]: /url

  [Foo]
04_07__leaf_blocks__link_reference_definitions__015: |
  [ΑΓΩ]: /φου

  [αγω]
04_07__leaf_blocks__link_reference_definitions__016: |
  [foo]: /url
04_07__leaf_blocks__link_reference_definitions__017: |
  [
  foo
  ]: /url
  bar
04_07__leaf_blocks__link_reference_definitions__018: |
  [foo]: /url "title" ok
04_07__leaf_blocks__link_reference_definitions__019: |
  [foo]: /url
  "title" ok
04_07__leaf_blocks__link_reference_definitions__020: |2
      [foo]: /url "title"

  [foo]
04_07__leaf_blocks__link_reference_definitions__021: |
  ```
  [foo]: /url
  ```

  [foo]
04_07__leaf_blocks__link_reference_definitions__022: |
  Foo
  [bar]: /baz

  [bar]
04_07__leaf_blocks__link_reference_definitions__023: |
  # [Foo]
  [foo]: /url
  > bar
04_07__leaf_blocks__link_reference_definitions__024: |
  [foo]: /url
  bar
  ===
  [foo]
04_07__leaf_blocks__link_reference_definitions__025: |
  [foo]: /url
  ===
  [foo]
04_07__leaf_blocks__link_reference_definitions__026: |
  [foo]: /foo-url "foo"
  [bar]: /bar-url
    "bar"
  [baz]: /baz-url

  [foo],
  [bar],
  [baz]
04_07__leaf_blocks__link_reference_definitions__027: |
  [foo]

  > [foo]: /url
04_07__leaf_blocks__link_reference_definitions__028: |
  [foo]: /url
04_08__leaf_blocks__paragraphs__001: |
  aaa

  bbb
04_08__leaf_blocks__paragraphs__002: |
  aaa
  bbb

  ccc
  ddd
04_08__leaf_blocks__paragraphs__003: |
  aaa


  bbb
04_08__leaf_blocks__paragraphs__004: |2
    aaa
   bbb
04_08__leaf_blocks__paragraphs__005: |
  aaa
               bbb
                                         ccc
04_08__leaf_blocks__paragraphs__006: |2
     aaa
  bbb
04_08__leaf_blocks__paragraphs__007: |2
      aaa
  bbb
04_08__leaf_blocks__paragraphs__008: "aaa     \nbbb     \n"
04_09__leaf_blocks__blank_lines__001: "  \n\naaa\n  \n\n# aaa\n\n  \n"
04_10__leaf_blocks__tables_extension__001: |
  | foo | bar |
  | --- | --- |
  | baz | bim |
04_10__leaf_blocks__tables_extension__002: |
  | abc | defghi |
  :-: | -----------:
  bar | baz
04_10__leaf_blocks__tables_extension__003: |
  | f\|oo  |
  | ------ |
  | b `\|` az |
  | b **\|** im |
04_10__leaf_blocks__tables_extension__004: |
  | abc | def |
  | --- | --- |
  | bar | baz |
  > bar
04_10__leaf_blocks__tables_extension__005: |
  | abc | def |
  | --- | --- |
  | bar | baz |
  bar

  bar
04_10__leaf_blocks__tables_extension__006: |
  | abc | def |
  | --- |
  | bar |
04_10__leaf_blocks__tables_extension__007: |
  | abc | def |
  | --- | --- |
  | bar |
  | bar | baz | boo |
04_10__leaf_blocks__tables_extension__008: |
  | abc | def |
  | --- | --- |
05_01__container_blocks__block_quotes__001: |
  > # Foo
  > bar
  > baz
05_01__container_blocks__block_quotes__002: |
  ># Foo
  >bar
  > baz
05_01__container_blocks__block_quotes__003: |2
     > # Foo
     > bar
   > baz
05_01__container_blocks__block_quotes__004: |2
      > # Foo
      > bar
      > baz
05_01__container_blocks__block_quotes__005: |
  > # Foo
  > bar
  baz
05_01__container_blocks__block_quotes__006: |
  > bar
  baz
  > foo
05_01__container_blocks__block_quotes__007: |
  > foo
  ---
05_01__container_blocks__block_quotes__008: |
  > - foo
  - bar
05_01__container_blocks__block_quotes__009: |
  >     foo
      bar
05_01__container_blocks__block_quotes__010: |
  > ```
  foo
  ```
05_01__container_blocks__block_quotes__011: |
  > foo
      - bar
05_01__container_blocks__block_quotes__012: |
  >
05_01__container_blocks__block_quotes__013: ">\n>  \n> \n"
05_01__container_blocks__block_quotes__014: ">\n> foo\n>  \n"
05_01__container_blocks__block_quotes__015: |
  > foo

  > bar
05_01__container_blocks__block_quotes__016: |
  > foo
  > bar
05_01__container_blocks__block_quotes__017: |
  > foo
  >
  > bar
05_01__container_blocks__block_quotes__018: |
  foo
  > bar
05_01__container_blocks__block_quotes__019: |
  > aaa
  ***
  > bbb
05_01__container_blocks__block_quotes__020: |
  > bar
  baz
05_01__container_blocks__block_quotes__021: |
  > bar

  baz
05_01__container_blocks__block_quotes__022: |
  > bar
  >
  baz
05_01__container_blocks__block_quotes__023: |
  > > > foo
  bar
05_01__container_blocks__block_quotes__024: |
  >>> foo
  > bar
  >>baz
05_01__container_blocks__block_quotes__025: |
  >     code

  >    not code
05_02__container_blocks__list_items__001: |
  A paragraph
  with two lines.

      indented code

  > A block quote.
05_02__container_blocks__list_items__002: |
  1.  A paragraph
      with two lines.

          indented code

      > A block quote.
05_02__container_blocks__list_items__003: |
  - one

   two
05_02__container_blocks__list_items__004: |
  - one

    two
05_02__container_blocks__list_items__005: |2
   -    one

       two
05_02__container_blocks__list_items__006: |2
   -    one

        two
05_02__container_blocks__list_items__007: |2
     > > 1.  one
  >>
  >>     two
05_02__container_blocks__list_items__008: |
  >>- one
  >>
    >  > two
05_02__container_blocks__list_items__009: |
  -one

  2.two
05_02__container_blocks__list_items__010: |
  - foo


    bar
05_02__container_blocks__list_items__011: |
  1.  foo

      ```
      bar
      ```

      baz

      > bam
05_02__container_blocks__list_items__012: |
  - Foo

        bar


        baz
05_02__container_blocks__list_items__013: |
  123456789. ok
05_02__container_blocks__list_items__014: |
  1234567890. not ok
05_02__container_blocks__list_items__015: |
  0. ok
05_02__container_blocks__list_items__016: |
  003. ok
05_02__container_blocks__list_items__017: |
  -1. not ok
05_02__container_blocks__list_items__018: |
  - foo

        bar
05_02__container_blocks__list_items__019: |2
    10.  foo

             bar
05_02__container_blocks__list_items__020: |2
      indented code

  paragraph

      more code
05_02__container_blocks__list_items__021: |
  1.     indented code

     paragraph

         more code
05_02__container_blocks__list_items__022: |
  1.      indented code

     paragraph

         more code
05_02__container_blocks__list_items__023: |2
     foo

  bar
05_02__container_blocks__list_items__024: |
  -    foo

    bar
05_02__container_blocks__list_items__025: |
  -  foo

     bar
05_02__container_blocks__list_items__026: |
  -
    foo
  -
    ```
    bar
    ```
  -
        baz
05_02__container_blocks__list_items__027: "-   \n  foo\n"
05_02__container_blocks__list_items__028: |
  -

    foo
05_02__container_blocks__list_items__029: |
  - foo
  -
  - bar
05_02__container_blocks__list_items__030: "- foo\n-   \n- bar\n"
05_02__container_blocks__list_items__031: |
  1. foo
  2.
  3. bar
05_02__container_blocks__list_items__032: |
  *
05_02__container_blocks__list_items__033: |
  foo
  *

  foo
  1.
05_02__container_blocks__list_items__034: |2
   1.  A paragraph
       with two lines.

           indented code

       > A block quote.
05_02__container_blocks__list_items__035: |2
    1.  A paragraph
        with two lines.

            indented code

        > A block quote.
05_02__container_blocks__list_items__036: |2
     1.  A paragraph
         with two lines.

             indented code

         > A block quote.
05_02__container_blocks__list_items__037: |2
      1.  A paragraph
          with two lines.

              indented code

          > A block quote.
05_02__container_blocks__list_items__038: |2
    1.  A paragraph
  with two lines.

            indented code

        > A block quote.
05_02__container_blocks__list_items__039: |2
    1.  A paragraph
      with two lines.
05_02__container_blocks__list_items__040: |
  > 1. > Blockquote
  continued here.
05_02__container_blocks__list_items__041: |
  > 1. > Blockquote
  > continued here.
05_02__container_blocks__list_items__042: |
  - foo
    - bar
      - baz
        - boo
05_02__container_blocks__list_items__043: |
  - foo
   - bar
    - baz
     - boo
05_02__container_blocks__list_items__044: |
  10) foo
      - bar
05_02__container_blocks__list_items__045: |
  10) foo
     - bar
05_02__container_blocks__list_items__046: |
  - - foo
05_02__container_blocks__list_items__047: |
  1. - 2. foo
05_02__container_blocks__list_items__048: |
  - # Foo
  - Bar
    ---
    baz
05_04__container_blocks__lists__001: |
  - foo
  - bar
  + baz
05_04__container_blocks__lists__002: |
  1. foo
  2. bar
  3) baz
05_04__container_blocks__lists__003: |
  Foo
  - bar
  - baz
05_04__container_blocks__lists__004: |
  The number of windows in my house is
  14.  The number of doors is 6.
05_04__container_blocks__lists__005: |
  The number of windows in my house is
  1.  The number of doors is 6.
05_04__container_blocks__lists__006: |
  - foo

  - bar


  - baz
05_04__container_blocks__lists__007: |
  - foo
    - bar
      - baz


        bim
05_04__container_blocks__lists__008: |
  - foo
  - bar

  <!-- -->

  - baz
  - bim
05_04__container_blocks__lists__009: |
  -   foo

      notcode

  -   foo

  <!-- -->

      code
05_04__container_blocks__lists__010: |
  - a
   - b
    - c
     - d
    - e
   - f
  - g
05_04__container_blocks__lists__011: |
  1. a

    2. b

     3. c
05_04__container_blocks__lists__012: |
  - a
   - b
    - c
     - d
      - e
05_04__container_blocks__lists__013: |
  1. a

    2. b

      3. c
05_04__container_blocks__lists__014: |
  - a
  - b

  - c
05_04__container_blocks__lists__015: |
  * a
  *

  * c
05_04__container_blocks__lists__016: |
  - a
  - b

    c
  - d
05_04__container_blocks__lists__017: |
  - a
  - b

    [ref]: /url
  - d
05_04__container_blocks__lists__018: |
  - a
  - ```
    b


    ```
  - c
05_04__container_blocks__lists__019: |
  - a
    - b

      c
  - d
05_04__container_blocks__lists__020: |
  * a
    > b
    >
  * c
05_04__container_blocks__lists__021: |
  - a
    > b
    ```
    c
    ```
  - d
05_04__container_blocks__lists__022: |
  - a
05_04__container_blocks__lists__023: |
  - a
    - b
05_04__container_blocks__lists__024: |
  1. ```
     foo
     ```

     bar
05_04__container_blocks__lists__025: |
  * foo
    * bar

    baz
05_04__container_blocks__lists__026: |
  - a
    - b
    - c

  - d
    - e
    - f
06_01__inlines__001: |
  `hi`lo`
06_02__inlines__backslash_escapes__001: |
  \!\"\#\$\%\&\'\(\)\*\+\,\-\.\/\:\;\<\=\>\?\@\[\\\]\^\_\`\{\|\}\~
06_02__inlines__backslash_escapes__002: "\\\t\\A\\a\\ \\3\\φ\\«\n"
06_02__inlines__backslash_escapes__003: |
  \*not emphasized*
  \<br/> not a tag
  \[not a link](/foo)
  \`not code`
  1\. not a list
  \* not a list
  \# not a heading
  \[foo]: /url "not a reference"
  \&ouml; not a character entity
06_02__inlines__backslash_escapes__004: |
  \\*emphasis*
06_02__inlines__backslash_escapes__005: |
  foo\
  bar
06_02__inlines__backslash_escapes__006: |
  `` \[\` ``
06_02__inlines__backslash_escapes__007: |2
      \[\]
06_02__inlines__backslash_escapes__008: |
  ~~~
  \[\]
  ~~~
06_02__inlines__backslash_escapes__009: |
  <http://example.com?find=\*>
06_02__inlines__backslash_escapes__010: |
  <a href="/bar\/)">
06_02__inlines__backslash_escapes__011: |
  [foo](/bar\* "ti\*tle")
06_02__inlines__backslash_escapes__012: |
  [foo]

  [foo]: /bar\* "ti\*tle"
06_02__inlines__backslash_escapes__013: |
  ``` foo\+bar
  foo
  ```
06_03__inlines__entity_and_numeric_character_references__001: |
  &nbsp; &amp; &copy; &AElig; &Dcaron;
  &frac34; &HilbertSpace; &DifferentialD;
  &ClockwiseContourIntegral; &ngE;
06_03__inlines__entity_and_numeric_character_references__002: |
  &#35; &#1234; &#992; &#0;
06_03__inlines__entity_and_numeric_character_references__003: |
  &#X22; &#XD06; &#xcab;
06_03__inlines__entity_and_numeric_character_references__004: |
  &nbsp &x; &#; &#x;
  &#987654321;
  &#abcdef0;
  &ThisIsNotDefined; &hi?;
06_03__inlines__entity_and_numeric_character_references__005: |
  &copy
06_03__inlines__entity_and_numeric_character_references__006: |
  &MadeUpEntity;
06_03__inlines__entity_and_numeric_character_references__007: |
  <a href="&ouml;&ouml;.html">
06_03__inlines__entity_and_numeric_character_references__008: |
  [foo](/f&ouml;&ouml; "f&ouml;&ouml;")
06_03__inlines__entity_and_numeric_character_references__009: |
  [foo]

  [foo]: /f&ouml;&ouml; "f&ouml;&ouml;"
06_03__inlines__entity_and_numeric_character_references__010: |
  ``` f&ouml;&ouml;
  foo
  ```
06_03__inlines__entity_and_numeric_character_references__011: |
  `f&ouml;&ouml;`
06_03__inlines__entity_and_numeric_character_references__012: |2
      f&ouml;f&ouml;
06_03__inlines__entity_and_numeric_character_references__013: |
  &#42;foo&#42;
  *foo*
06_03__inlines__entity_and_numeric_character_references__014: |
  &#42; foo

  * foo
06_03__inlines__entity_and_numeric_character_references__015: |
  foo&#10;&#10;bar
06_03__inlines__entity_and_numeric_character_references__016: |
  &#9;foo
06_03__inlines__entity_and_numeric_character_references__017: |
  [a](url &quot;tit&quot;)
06_04__inlines__code_spans__001: |
  `foo`
06_04__inlines__code_spans__002: |
  `` foo ` bar ``
06_04__inlines__code_spans__003: |
  ` `` `
06_04__inlines__code_spans__004: |
  `  ``  `
06_04__inlines__code_spans__005: |
  ` a`
06_04__inlines__code_spans__006: |
  ` b `
06_04__inlines__code_spans__007: |
  ` `
  `  `
06_04__inlines__code_spans__008: "``\nfoo\nbar  \nbaz\n``\n"
06_04__inlines__code_spans__009: "``\nfoo \n``\n"
06_04__inlines__code_spans__010: "`foo   bar \nbaz`\n"
06_04__inlines__code_spans__011: |
  `foo\`bar`
06_04__inlines__code_spans__012: |
  ``foo`bar``
06_04__inlines__code_spans__013: |
  ` foo `` bar `
06_04__inlines__code_spans__014: |
  *foo`*`
06_04__inlines__code_spans__015: |
  [not a `link](/foo`)
06_04__inlines__code_spans__016: |
  `<a href="`">`
06_04__inlines__code_spans__017: |
  <a href="`">`
06_04__inlines__code_spans__018: |
  `<http://foo.bar.`baz>`
06_04__inlines__code_spans__019: |
  <http://foo.bar.`baz>`
06_04__inlines__code_spans__020: |
  ```foo``
06_04__inlines__code_spans__021: |
  `foo
06_04__inlines__code_spans__022: |
  `foo``bar``
06_05__inlines__emphasis_and_strong_emphasis__001: |
  *foo bar*
06_05__inlines__emphasis_and_strong_emphasis__002: |
  a * foo bar*
06_05__inlines__emphasis_and_strong_emphasis__003: |
  a*"foo"*
06_05__inlines__emphasis_and_strong_emphasis__004: |
  * a *
06_05__inlines__emphasis_and_strong_emphasis__005: |
  foo*bar*
06_05__inlines__emphasis_and_strong_emphasis__006: |
  5*6*78
06_05__inlines__emphasis_and_strong_emphasis__007: |
  _foo bar_
06_05__inlines__emphasis_and_strong_emphasis__008: |
  _ foo bar_
06_05__inlines__emphasis_and_strong_emphasis__009: |
  a_"foo"_
06_05__inlines__emphasis_and_strong_emphasis__010: |
  foo_bar_
06_05__inlines__emphasis_and_strong_emphasis__011: |
  5_6_78
06_05__inlines__emphasis_and_strong_emphasis__012: |
  пристаням_стремятся_
06_05__inlines__emphasis_and_strong_emphasis__013: |
  aa_"bb"_cc
06_05__inlines__emphasis_and_strong_emphasis__014: |
  foo-_(bar)_
06_05__inlines__emphasis_and_strong_emphasis__015: |
  _foo*
06_05__inlines__emphasis_and_strong_emphasis__016: |
  *foo bar *
06_05__inlines__emphasis_and_strong_emphasis__017: |
  *foo bar
  *
06_05__inlines__emphasis_and_strong_emphasis__018: |
  *(*foo)
06_05__inlines__emphasis_and_strong_emphasis__019: |
  *(*foo*)*
06_05__inlines__emphasis_and_strong_emphasis__020: |
  *foo*bar
06_05__inlines__emphasis_and_strong_emphasis__021: |
  _foo bar _
06_05__inlines__emphasis_and_strong_emphasis__022: |
  _(_foo)
06_05__inlines__emphasis_and_strong_emphasis__023: |
  _(_foo_)_
06_05__inlines__emphasis_and_strong_emphasis__024: |
  _foo_bar
06_05__inlines__emphasis_and_strong_emphasis__025: |
  _пристаням_стремятся
06_05__inlines__emphasis_and_strong_emphasis__026: |
  _foo_bar_baz_
06_05__inlines__emphasis_and_strong_emphasis__027: |
  _(bar)_.
06_05__inlines__emphasis_and_strong_emphasis__028: |
  **foo bar**
06_05__inlines__emphasis_and_strong_emphasis__029: |
  ** foo bar**
06_05__inlines__emphasis_and_strong_emphasis__030: |
  a**"foo"**
06_05__inlines__emphasis_and_strong_emphasis__031: |
  foo**bar**
06_05__inlines__emphasis_and_strong_emphasis__032: |
  __foo bar__
06_05__inlines__emphasis_and_strong_emphasis__033: |
  __ foo bar__
06_05__inlines__emphasis_and_strong_emphasis__034: |
  __
  foo bar__
06_05__inlines__emphasis_and_strong_emphasis__035: |
  a__"foo"__
06_05__inlines__emphasis_and_strong_emphasis__036: |
  foo__bar__
06_05__inlines__emphasis_and_strong_emphasis__037: |
  5__6__78
06_05__inlines__emphasis_and_strong_emphasis__038: |
  пристаням__стремятся__
06_05__inlines__emphasis_and_strong_emphasis__039: |
  __foo, __bar__, baz__
06_05__inlines__emphasis_and_strong_emphasis__040: |
  foo-__(bar)__
06_05__inlines__emphasis_and_strong_emphasis__041: |
  **foo bar **
06_05__inlines__emphasis_and_strong_emphasis__042: |
  **(**foo)
06_05__inlines__emphasis_and_strong_emphasis__043: |
  *(**foo**)*
06_05__inlines__emphasis_and_strong_emphasis__044: |
  **Gomphocarpus (*Gomphocarpus physocarpus*, syn.
  *Asclepias physocarpa*)**
06_05__inlines__emphasis_and_strong_emphasis__045: |
  **foo "*bar*" foo**
06_05__inlines__emphasis_and_strong_emphasis__046: |
  **foo**bar
06_05__inlines__emphasis_and_strong_emphasis__047: |
  __foo bar __
06_05__inlines__emphasis_and_strong_emphasis__048: |
  __(__foo)
06_05__inlines__emphasis_and_strong_emphasis__049: |
  _(__foo__)_
06_05__inlines__emphasis_and_strong_emphasis__050: |
  __foo__bar
06_05__inlines__emphasis_and_strong_emphasis__051: |
  __пристаням__стремятся
06_05__inlines__emphasis_and_strong_emphasis__052: |
  __foo__bar__baz__
06_05__inlines__emphasis_and_strong_emphasis__053: |
  __(bar)__.
06_05__inlines__emphasis_and_strong_emphasis__054: |
  *foo [bar](/url)*
06_05__inlines__emphasis_and_strong_emphasis__055: |
  *foo
  bar*
06_05__inlines__emphasis_and_strong_emphasis__056: |
  _foo __bar__ baz_
06_05__inlines__emphasis_and_strong_emphasis__057: |
  _foo _bar_ baz_
06_05__inlines__emphasis_and_strong_emphasis__058: |
  __foo_ bar_
06_05__inlines__emphasis_and_strong_emphasis__059: |
  *foo *bar**
06_05__inlines__emphasis_and_strong_emphasis__060: |
  *foo **bar** baz*
06_05__inlines__emphasis_and_strong_emphasis__061: |
  *foo**bar**baz*
06_05__inlines__emphasis_and_strong_emphasis__062: |
  *foo**bar*
06_05__inlines__emphasis_and_strong_emphasis__063: |
  ***foo** bar*
06_05__inlines__emphasis_and_strong_emphasis__064: |
  *foo **bar***
06_05__inlines__emphasis_and_strong_emphasis__065: |
  *foo**bar***
06_05__inlines__emphasis_and_strong_emphasis__066: |
  foo***bar***baz
06_05__inlines__emphasis_and_strong_emphasis__067: |
  foo******bar*********baz
06_05__inlines__emphasis_and_strong_emphasis__068: |
  *foo **bar *baz* bim** bop*
06_05__inlines__emphasis_and_strong_emphasis__069: |
  *foo [*bar*](/url)*
06_05__inlines__emphasis_and_strong_emphasis__070: |
  ** is not an empty emphasis
06_05__inlines__emphasis_and_strong_emphasis__071: |
  **** is not an empty strong emphasis
06_05__inlines__emphasis_and_strong_emphasis__072: |
  **foo [bar](/url)**
06_05__inlines__emphasis_and_strong_emphasis__073: |
  **foo
  bar**
06_05__inlines__emphasis_and_strong_emphasis__074: |
  __foo _bar_ baz__
06_05__inlines__emphasis_and_strong_emphasis__075: |
  __foo __bar__ baz__
06_05__inlines__emphasis_and_strong_emphasis__076: |
  ____foo__ bar__
06_05__inlines__emphasis_and_strong_emphasis__077: |
  **foo **bar****
06_05__inlines__emphasis_and_strong_emphasis__078: |
  **foo *bar* baz**
06_05__inlines__emphasis_and_strong_emphasis__079: |
  **foo*bar*baz**
06_05__inlines__emphasis_and_strong_emphasis__080: |
  ***foo* bar**
06_05__inlines__emphasis_and_strong_emphasis__081: |
  **foo *bar***
06_05__inlines__emphasis_and_strong_emphasis__082: |
  **foo *bar **baz**
  bim* bop**
06_05__inlines__emphasis_and_strong_emphasis__083: |
  **foo [*bar*](/url)**
06_05__inlines__emphasis_and_strong_emphasis__084: |
  __ is not an empty emphasis
06_05__inlines__emphasis_and_strong_emphasis__085: |
  ____ is not an empty strong emphasis
06_05__inlines__emphasis_and_strong_emphasis__086: |
  foo ***
06_05__inlines__emphasis_and_strong_emphasis__087: |
  foo *\**
06_05__inlines__emphasis_and_strong_emphasis__088: |
  foo *_*
06_05__inlines__emphasis_and_strong_emphasis__089: |
  foo *****
06_05__inlines__emphasis_and_strong_emphasis__090: |
  foo **\***
06_05__inlines__emphasis_and_strong_emphasis__091: |
  foo **_**
06_05__inlines__emphasis_and_strong_emphasis__092: |
  **foo*
06_05__inlines__emphasis_and_strong_emphasis__093: |
  *foo**
06_05__inlines__emphasis_and_strong_emphasis__094: |
  ***foo**
06_05__inlines__emphasis_and_strong_emphasis__095: |
  ****foo*
06_05__inlines__emphasis_and_strong_emphasis__096: |
  **foo***
06_05__inlines__emphasis_and_strong_emphasis__097: |
  *foo****
06_05__inlines__emphasis_and_strong_emphasis__098: |
  foo ___
06_05__inlines__emphasis_and_strong_emphasis__099: |
  foo _\__
06_05__inlines__emphasis_and_strong_emphasis__100: |
  foo _*_
06_05__inlines__emphasis_and_strong_emphasis__101: |
  foo _____
06_05__inlines__emphasis_and_strong_emphasis__102: |
  foo __\___
06_05__inlines__emphasis_and_strong_emphasis__103: |
  foo __*__
06_05__inlines__emphasis_and_strong_emphasis__104: |
  __foo_
06_05__inlines__emphasis_and_strong_emphasis__105: |
  _foo__
06_05__inlines__emphasis_and_strong_emphasis__106: |
  ___foo__
06_05__inlines__emphasis_and_strong_emphasis__107: |
  ____foo_
06_05__inlines__emphasis_and_strong_emphasis__108: |
  __foo___
06_05__inlines__emphasis_and_strong_emphasis__109: |
  _foo____
06_05__inlines__emphasis_and_strong_emphasis__110: |
  **foo**
06_05__inlines__emphasis_and_strong_emphasis__111: |
  *_foo_*
06_05__inlines__emphasis_and_strong_emphasis__112: |
  __foo__
06_05__inlines__emphasis_and_strong_emphasis__113: |
  _*foo*_
06_05__inlines__emphasis_and_strong_emphasis__114: |
  ****foo****
06_05__inlines__emphasis_and_strong_emphasis__115: |
  ____foo____
06_05__inlines__emphasis_and_strong_emphasis__116: |
  ******foo******
06_05__inlines__emphasis_and_strong_emphasis__117: |
  ***foo***
06_05__inlines__emphasis_and_strong_emphasis__118: |
  _____foo_____
06_05__inlines__emphasis_and_strong_emphasis__119: |
  *foo _bar* baz_
06_05__inlines__emphasis_and_strong_emphasis__120: |
  *foo __bar *baz bim__ bam*
06_05__inlines__emphasis_and_strong_emphasis__121: |
  **foo **bar baz**
06_05__inlines__emphasis_and_strong_emphasis__122: |
  *foo *bar baz*
06_05__inlines__emphasis_and_strong_emphasis__123: |
  *[bar*](/url)
06_05__inlines__emphasis_and_strong_emphasis__124: |
  _foo [bar_](/url)
06_05__inlines__emphasis_and_strong_emphasis__125: |
  *<img src="foo" title="*"/>
06_05__inlines__emphasis_and_strong_emphasis__126: |
  **<a href="**">
06_05__inlines__emphasis_and_strong_emphasis__127: |
  __<a href="__">
06_05__inlines__emphasis_and_strong_emphasis__128: |
  *a `*`*
06_05__inlines__emphasis_and_strong_emphasis__129: |
  _a `_`_
06_05__inlines__emphasis_and_strong_emphasis__130: |
  **a<http://foo.bar/?q=**>
06_05__inlines__emphasis_and_strong_emphasis__131: |
  __a<http://foo.bar/?q=__>
06_06__inlines__strikethrough_extension__001: |
  ~~Hi~~ Hello, world!
06_06__inlines__strikethrough_extension__002: |
  This ~~has a

  new paragraph~~.
06_07__inlines__links__001: |
  [link](/uri "title")
06_07__inlines__links__002: |
  [link](/uri)
06_07__inlines__links__003: |
  [link]()
06_07__inlines__links__004: |
  [link](<>)
06_07__inlines__links__005: |
  [link](/my uri)
06_07__inlines__links__006: |
  [link](</my uri>)
06_07__inlines__links__007: |
  [link](foo
  bar)
06_07__inlines__links__008: |
  [link](<foo
  bar>)
06_07__inlines__links__009: |
  [a](<b)c>)
06_07__inlines__links__010: |
  [link](<foo\>)
06_07__inlines__links__011: |
  [a](<b)c
  [a](<b)c>
  [a](<b>c)
06_07__inlines__links__012: |
  [link](\(foo\))
06_07__inlines__links__013: |
  [link](foo(and(bar)))
06_07__inlines__links__014: |
  [link](foo\(and\(bar\))
06_07__inlines__links__015: |
  [link](<foo(and(bar)>)
06_07__inlines__links__016: |
  [link](foo\)\:)
06_07__inlines__links__017: |
  [link](#fragment)

  [link](http://example.com#fragment)

  [link](http://example.com?foo=3#frag)
06_07__inlines__links__018: |
  [link](foo\bar)
06_07__inlines__links__019: |
  [link](foo%20b&auml;)
06_07__inlines__links__020: |
  [link]("title")
06_07__inlines__links__021: |
  [link](/url "title")
  [link](/url 'title')
  [link](/url (title))
06_07__inlines__links__022: |
  [link](/url "title \"&quot;")
06_07__inlines__links__023: |
  [link](/url "title")
06_07__inlines__links__024: |
  [link](/url "title "and" title")
06_07__inlines__links__025: |
  [link](/url 'title "and" title')
06_07__inlines__links__026: |
  [link](   /uri
    "title"  )
06_07__inlines__links__027: |
  [link] (/uri)
06_07__inlines__links__028: |
  [link [foo [bar]]](/uri)
06_07__inlines__links__029: |
  [link] bar](/uri)
06_07__inlines__links__030: |
  [link [bar](/uri)
06_07__inlines__links__031: |
  [link \[bar](/uri)
06_07__inlines__links__032: |
  [link *foo **bar** `#`*](/uri)
06_07__inlines__links__033: |
  [![moon](moon.jpg)](/uri)
06_07__inlines__links__034: |
  [foo [bar](/uri)](/uri)
06_07__inlines__links__035: |
  [foo *[bar [baz](/uri)](/uri)*](/uri)
06_07__inlines__links__036: |
  ![[[foo](uri1)](uri2)](uri3)
06_07__inlines__links__037: |
  *[foo*](/uri)
06_07__inlines__links__038: |
  [foo *bar](baz*)
06_07__inlines__links__039: |
  *foo [bar* baz]
06_07__inlines__links__040: |
  [foo <bar attr="](baz)">
06_07__inlines__links__041: |
  [foo`](/uri)`
06_07__inlines__links__042: |
  [foo<http://example.com/?search=](uri)>
06_07__inlines__links__043: |
  [foo][bar]

  [bar]: /url "title"
06_07__inlines__links__044: |
  [link [foo [bar]]][ref]

  [ref]: /uri
06_07__inlines__links__045: |
  [link \[bar][ref]

  [ref]: /uri
06_07__inlines__links__046: |
  [link *foo **bar** `#`*][ref]

  [ref]: /uri
06_07__inlines__links__047: |
  [![moon](moon.jpg)][ref]

  [ref]: /uri
06_07__inlines__links__048: |
  [foo [bar](/uri)][ref]

  [ref]: /uri
06_07__inlines__links__049: |
  [foo *bar [baz][ref]*][ref]

  [ref]: /uri
06_07__inlines__links__050: |
  *[foo*][ref]

  [ref]: /uri
06_07__inlines__links__051: |
  [foo *bar][ref]

  [ref]: /uri
06_07__inlines__links__052: |
  [foo <bar attr="][ref]">

  [ref]: /uri
06_07__inlines__links__053: |
  [foo`][ref]`

  [ref]: /uri
06_07__inlines__links__054: |
  [foo<http://example.com/?search=][ref]>

  [ref]: /uri
06_07__inlines__links__055: |
  [foo][BaR]

  [bar]: /url "title"
06_07__inlines__links__056: |
  [Толпой][Толпой] is a Russian word.

  [ТОЛПОЙ]: /url
06_07__inlines__links__057: |
  [Foo
    bar]: /url

  [Baz][Foo bar]
06_07__inlines__links__058: |
  [foo] [bar]

  [bar]: /url "title"
06_07__inlines__links__059: |
  [foo]
  [bar]

  [bar]: /url "title"
06_07__inlines__links__060: |
  [foo]: /url1

  [foo]: /url2

  [bar][foo]
06_07__inlines__links__061: |
  [bar][foo\!]

  [foo!]: /url
06_07__inlines__links__062: |
  [foo][ref[]

  [ref[]: /uri
06_07__inlines__links__063: |
  [foo][ref[bar]]

  [ref[bar]]: /uri
06_07__inlines__links__064: |
  [[[foo]]]

  [[[foo]]]: /url
06_07__inlines__links__065: |
  [foo][ref\[]

  [ref\[]: /uri
06_07__inlines__links__066: |
  [bar\\]: /uri

  [bar\\]
06_07__inlines__links__067: |
  []

  []: /uri
06_07__inlines__links__068: |
  [
   ]

  [
   ]: /uri
06_07__inlines__links__069: |
  [foo][]

  [foo]: /url "title"
06_07__inlines__links__070: |
  [*foo* bar][]

  [*foo* bar]: /url "title"
06_07__inlines__links__071: |
  [Foo][]

  [foo]: /url "title"
06_07__inlines__links__072: "[foo] \n[]\n\n[foo]: /url \"title\"\n"
06_07__inlines__links__073: |
  [foo]

  [foo]: /url "title"
06_07__inlines__links__074: |
  [*foo* bar]

  [*foo* bar]: /url "title"
06_07__inlines__links__075: |
  [[*foo* bar]]

  [*foo* bar]: /url "title"
06_07__inlines__links__076: |
  [[bar [foo]

  [foo]: /url
06_07__inlines__links__077: |
  [Foo]

  [foo]: /url "title"
06_07__inlines__links__078: |
  [foo] bar

  [foo]: /url
06_07__inlines__links__079: |
  \[foo]

  [foo]: /url "title"
06_07__inlines__links__080: |
  [foo*]: /url

  *[foo*]
06_07__inlines__links__081: |
  [foo][bar]

  [foo]: /url1
  [bar]: /url2
06_07__inlines__links__082: |
  [foo][]

  [foo]: /url1
06_07__inlines__links__083: |
  [foo]()

  [foo]: /url1
06_07__inlines__links__084: |
  [foo](not a link)

  [foo]: /url1
06_07__inlines__links__085: |
  [foo][bar][baz]

  [baz]: /url
06_07__inlines__links__086: |
  [foo][bar][baz]

  [baz]: /url1
  [bar]: /url2
06_07__inlines__links__087: |
  [foo][bar][baz]

  [baz]: /url1
  [foo]: /url2
06_08__inlines__images__001: |
  ![foo](/url "title")
06_08__inlines__images__002: |
  ![foo *bar*]

  [foo *bar*]: train.jpg "train & tracks"
06_08__inlines__images__003: |
  ![foo ![bar](/url)](/url2)
06_08__inlines__images__004: |
  ![foo [bar](/url)](/url2)
06_08__inlines__images__005: |
  ![foo *bar*][]

  [foo *bar*]: train.jpg "train & tracks"
06_08__inlines__images__006: |
  ![foo *bar*][foobar]

  [FOOBAR]: train.jpg "train & tracks"
06_08__inlines__images__007: |
  ![foo](train.jpg)
06_08__inlines__images__008: |
  My ![foo bar](/path/to/train.jpg  "title"   )
06_08__inlines__images__009: |
  ![foo](<url>)
06_08__inlines__images__010: |
  ![](/url)
06_08__inlines__images__011: |
  ![foo][bar]

  [bar]: /url
06_08__inlines__images__012: |
  ![foo][bar]

  [BAR]: /url
06_08__inlines__images__013: |
  ![foo][]

  [foo]: /url "title"
06_08__inlines__images__014: |
  ![*foo* bar][]

  [*foo* bar]: /url "title"
06_08__inlines__images__015: |
  ![Foo][]

  [foo]: /url "title"
06_08__inlines__images__016: "![foo] \n[]\n\n[foo]: /url \"title\"\n"
06_08__inlines__images__017: |
  ![foo]

  [foo]: /url "title"
06_08__inlines__images__018: |
  ![*foo* bar]

  [*foo* bar]: /url "title"
06_08__inlines__images__019: |
  ![[foo]]

  [[foo]]: /url "title"
06_08__inlines__images__020: |
  ![Foo]

  [foo]: /url "title"
06_08__inlines__images__021: |
  !\[foo]

  [foo]: /url "title"
06_08__inlines__images__022: |
  \![foo]

  [foo]: /url "title"
06_09__inlines__autolinks__001: |
  <http://foo.bar.baz>
06_09__inlines__autolinks__002: |
  <http://foo.bar.baz/test?q=hello&id=22&boolean>
06_09__inlines__autolinks__003: |
  <irc://foo.bar:2233/baz>
06_09__inlines__autolinks__004: |
  <MAILTO:FOO@BAR.BAZ>
06_09__inlines__autolinks__005: |
  <a+b+c:d>
06_09__inlines__autolinks__006: |
  <made-up-scheme://foo,bar>
06_09__inlines__autolinks__007: |
  <http://../>
06_09__inlines__autolinks__008: |
  <localhost:5001/foo>
06_09__inlines__autolinks__009: |
  <http://foo.bar/baz bim>
06_09__inlines__autolinks__010: |
  <http://example.com/\[\>
06_09__inlines__autolinks__011: |
  <foo@bar.example.com>
06_09__inlines__autolinks__012: |
  <foo+special@Bar.baz-bar0.com>
06_09__inlines__autolinks__013: |
  <foo\+@bar.example.com>
06_09__inlines__autolinks__014: |
  <>
06_09__inlines__autolinks__015: |
  < http://foo.bar >
06_09__inlines__autolinks__016: |
  <m:abc>
06_09__inlines__autolinks__017: |
  <foo.bar.baz>
06_09__inlines__autolinks__018: |
  http://example.com
06_09__inlines__autolinks__019: |
  foo@bar.example.com
06_10__inlines__autolinks_extension__001: |
  www.commonmark.org
06_10__inlines__autolinks_extension__002: |
  Visit www.commonmark.org/help for more information.
06_10__inlines__autolinks_extension__003: |
  Visit www.commonmark.org.

  Visit www.commonmark.org/a.b.
06_10__inlines__autolinks_extension__004: |
  www.google.com/search?q=Markup+(business)

  www.google.com/search?q=Markup+(business)))

  (www.google.com/search?q=Markup+(business))

  (www.google.com/search?q=Markup+(business)
06_10__inlines__autolinks_extension__005: |
  www.google.com/search?q=(business))+ok
06_10__inlines__autolinks_extension__006: |
  www.google.com/search?q=commonmark&hl=en

  www.google.com/search?q=commonmark&hl;
06_10__inlines__autolinks_extension__007: |
  www.commonmark.org/he<lp
06_10__inlines__autolinks_extension__008: |
  http://commonmark.org

  (Visit https://encrypted.google.com/search?q=Markup+(business))

  Anonymous FTP is available at ftp://foo.bar.baz.
06_10__inlines__autolinks_extension__009: |
  foo@bar.baz
06_10__inlines__autolinks_extension__010: |
  hello@mail+xyz.example isn't valid, but hello+xyz@mail.example is.
06_10__inlines__autolinks_extension__011: |
  a.b-c_d@a.b

  a.b-c_d@a.b.

  a.b-c_d@a.b-

  a.b-c_d@a.b_
06_11__inlines__raw_html__001: |
  <a><bab><c2c>
06_11__inlines__raw_html__002: |
  <a/><b2/>
06_11__inlines__raw_html__003: |
  <a  /><b2
  data="foo" >
06_11__inlines__raw_html__004: |
  <a foo="bar" bam = 'baz <em>"</em>'
  _boolean zoop:33=zoop:33 />
06_11__inlines__raw_html__005: |
  Foo <responsive-image src="foo.jpg" />
06_11__inlines__raw_html__006: |
  <33> <__>
06_11__inlines__raw_html__007: |
  <a h*#ref="hi">
06_11__inlines__raw_html__008: |
  <a href="hi'> <a href=hi'>
06_11__inlines__raw_html__009: |
  < a><
  foo><bar/ >
  <foo bar=baz
  bim!bop />
06_11__inlines__raw_html__010: |
  <a href='bar'title=title>
06_11__inlines__raw_html__011: |
  </a></foo >
06_11__inlines__raw_html__012: |
  </a href="foo">
06_11__inlines__raw_html__013: |
  foo <!-- this is a
  comment - with hyphen -->
06_11__inlines__raw_html__014: |
  foo <!-- not a comment -- two hyphens -->
06_11__inlines__raw_html__015: |
  foo <!--> foo -->

  foo <!-- foo--->
06_11__inlines__raw_html__016: |
  foo <?php echo $a; ?>
06_11__inlines__raw_html__017: |
  foo <!ELEMENT br EMPTY>
06_11__inlines__raw_html__018: |
  foo <![CDATA[>&<]]>
06_11__inlines__raw_html__019: |
  foo <a href="&ouml;">
06_11__inlines__raw_html__020: |
  foo <a href="\*">
06_11__inlines__raw_html__021: |
  <a href="\"">
06_12__inlines__disallowed_raw_html_extension__001: |
  <strong> <title> <style> <em>

  <blockquote>
    <xmp> is disallowed.  <XMP> is also disallowed.
  </blockquote>
06_13__inlines__hard_line_breaks__001: "foo  \nbaz\n"
06_13__inlines__hard_line_breaks__002: |
  foo\
  baz
06_13__inlines__hard_line_breaks__003: "foo       \nbaz\n"
06_13__inlines__hard_line_breaks__004: "foo  \n     bar\n"
06_13__inlines__hard_line_breaks__005: |
  foo\
       bar
06_13__inlines__hard_line_breaks__006: "*foo  \nbar*\n"
06_13__inlines__hard_line_breaks__007: |
  *foo\
  bar*
06_13__inlines__hard_line_breaks__008: "`code  \nspan`\n"
06_13__inlines__hard_line_breaks__009: |
  `code\
  span`
06_13__inlines__hard_line_breaks__010: "<a href=\"foo  \nbar\">\n"
06_13__inlines__hard_line_breaks__011: |
  <a href="foo\
  bar">
06_13__inlines__hard_line_breaks__012: |
  foo\
06_13__inlines__hard_line_breaks__013: "foo  \n"
06_13__inlines__hard_line_breaks__014: |
  ### foo\
06_13__inlines__hard_line_breaks__015: "### foo  \n"
06_14__inlines__soft_line_breaks__001: |
  foo
  baz
06_14__inlines__soft_line_breaks__002: "foo \n baz\n"
06_15__inlines__textual_content__001: |
  hello $.;'there
06_15__inlines__textual_content__002: |
  Foo χρῆν
06_15__inlines__textual_content__003: |
  Multiple     spaces
07_01__gitlab_specific_markdown__footnotes__001: |
  footnote reference tag [^fortytwo]

  [^fortytwo]: footnote text
